<template lang="pug">
.view
  h1.view__title {{ event.title }}
  hr.view__hr
  .view__wrapper
    .view__information
      .view__text {{ event.description }}
      .view__icons
        .view__seats
          img.view__icon(src="@/assets/icon_type_program.png")
          | {{ event.program_type_name }}
        .view__age
          img.view__icon(src="@/assets/icon_level.png")
          | {{ event.complexity_type_name }}
        .view__deviation
          img.view__icon(src="@/assets/icon_category_program.png")
          | {{ event.program_edu_area_name }}
      .view__buttons
        Button(
          type="secondary"
        ) Теория
        Button(
          type="main"
          @click="play"
        ) Играть
    .view__photo
      img(:src="event.photo_link")

  h1.recommended__title Рекомендуемые программы
  .recommended
    Card(
      v-for="item, index in recommended"
      :key="item.id"
      :item="item"
      type="program"
      :number="index"
      :numberDouble=-1
    )
</template>

<script>
import Error from '@/components/parts/Error.vue'
import Card from '@/components/parts/Card.vue'
import Button from '@/components/parts/Button.vue'

export default {
  name: 'EventView',
  components: {
    Card,
    Error,
    Button
  },
  computed: {
    event() {
      return this.$store.getters.programs.find(item => (item.id === this.$route.params.id))
    },
    recommended() {
      return this.$store.getters.programs.filter((item, index) => {return index < 4})
    }
  },
  methods: {
    play: function() {
      this.$router.push({ name: 'Game' })
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~@/stylus/mixins.styl'

.view
  max-width: 1200px
  margin: auto
  &__wrapper
    display: flex
    flex-direction: row
    justify-content: space-between
  &__title
    font-size: 3em
    color: mainColor
    margin: 25px 0 0
  &__hr
    height: 4px
    margin: 20px 0
    background: mainColor
  &__information
    display: flex
    flex-direction: column
    justify-content: space-between
    flex-grow: 1
    margin-right: 20px
  &__icons
    display: flex
    flex-direction: row
    justify-content: center
    & > *
      margin-right: 50px
      font-weight: 700
      align-items: center
      display: flex
      &:last-child
        margin: 0
    img
      margin-right: 10px
      height: 50px
  &__photo img
    width: 350px
    border-radius: 10px
  &__buttons
    display: flex
    justify-content: space-around
    button
      width: 40%

  .recommended
    display: flex
    flex-direction: row
    justify-content: space-between
    &__title
      margin-top: 70px
      font-size: 2em
</style>
